public class AlternativeCircle {
  /** Metoda main */
  public static void main(String[] args) {
    // Tworzy ko?o o promieniu 1
    AlternativeCircle circle1 = new AlternativeCircle();
    System.out.println("Powierzchnia ko?a o promieniu "
      + circle1.radius + " wynosi " + circle1.getArea());

    // Tworzy ko?o o promieniu 25
    AlternativeCircle circle2 = new AlternativeCircle(25);
    System.out.println("Powierzchnia ko?a o promieniu "
      + circle2.radius + " wynosi " + circle2.getArea());

    // Tworzy ko?o o promieniu 125
    AlternativeCircle circle3 = new AlternativeCircle(125);
    System.out.println("Powierzchnia ko?a o promieniu "
      + circle3.radius + " wynosi " + circle3.getArea());

    // Modyfikowanie promienia ko?a
    circle2.radius = 100;
    System.out.println("Powierzchnia ko?a o promieniu "
      + circle2.radius + " wynosi " + circle2.getArea());
  }

  double radius;

  /** Tworzy ko?o o promieniu 1 */
  AlternativeCircle() {
    radius = 1;
  }

  /** Tworzy ko?o o podanym promieniu */
  AlternativeCircle(double newRadius) {
    radius = newRadius;
  }

  /** Zwraca powierzchni? ko?a */
  double getArea() {
    return radius * radius * Math.PI;
  }

  /** Zwraca obwod ko?a */
  double getPerimeter() {
    return 2 * radius * Math.PI;
  }

  /** Ustawia nowy promie? ko?a */
  void setRadius(double newRadius) {
    radius = newRadius;
  }
}
